%define	major 4
%define	libname %mklibname gdbm %{major}
%define	develname %mklibname gdbm -d

Summary:	A GNU set of database routines which use extensible hashing
Name:		gdbm
Version:	1.12
Release:	%mkrel 1
License:	GPL
Group:		System/Libraries
URL:		http://www.gnu.org/software/gdbm/
Source0:	ftp://ftp.gnu.org/pub/gnu/gdbm/%{name}-%{version}.tar.gz
Patch0:		gdbm-1.10-zeroheaders.patch
Buildrequires:	texinfo 
Buildrequires:	autoconf2.5 
Buildrequires:	automake

%description
Gdbm is a GNU database indexing library, including routines
which use extensible hashing.  Gdbm works in a similar way to standard UNIX
dbm routines.  Gdbm is useful for developers who write C applications and
need access to a simple and efficient database or who are building C
applications which will use such a database.

If you're a C developer and your programs need access to simple database
routines, you should install gdbm.  You'll also need to install gdbm-devel.

%package -n	%{libname}
Summary:	Main library for gdbm
Group:		System/Libraries
Requires:	setup

%description -n	%{libname}
This package provides library needed to run programs dynamically linked
with gdbm.

%package -n	%{develname}
Summary:	Development libraries and header files for the gdbm library
Group:		Development/Databases
Requires:	%{libname} = %{version}
Requires(post):	info-install
Requires(preun):	info-install
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
# (anssi) biarch compat conflict (FIXME: this should be fixed more generally,
# maybe by adding a hack in perl-URPM):
Conflicts:	%{name}-devel < %{version}-%{release}
Conflicts:	%{mklibname gdbm 2 -d}
Obsoletes:	%{mklibname gdbm 1 -d}
Obsoletes:	%{mklibname gdbm 3 -d}

%description -n	%{develname}
Gdbm-devel contains the development libraries and header files
for gdbm, the GNU database system.  These libraries and header files are
necessary if you plan to do development using the gdbm database.

Install gdbm-devel if you are developing C programs which will use the
gdbm database library.  You'll also need to install the gdbm package.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static --enable-libgdbm-compat --enable-largefile
%make

%install
%makeinstall_std

%find_lang %{name}

# create symlinks for compatibility
mkdir -p %{buildroot}/%{_includedir}/gdbm 
ln -sf ../gdbm.h %{buildroot}/%{_includedir}/gdbm/gdbm.h
ln -sf ../ndbm.h %{buildroot}/%{_includedir}/gdbm/ndbm.h
ln -sf ../dbm.h %{buildroot}/%{_includedir}/gdbm/dbm.h

rm -f %{buildroot}%{_libdir}/*.la

%post -n %{develname}
%_install_info gdbm.info

%preun -n %{develname}
%_remove_install_info gdbm.info

%files -f %{name}.lang
%{_bindir}/*

%files -n %{libname}
%doc NEWS README
%{_libdir}/libgdbm*.so.%{major}
%{_libdir}/libgdbm*.so.%{major}.*

%files -n %{develname}
%{_libdir}/libgdbm*.so
%dir %{_includedir}/gdbm
%{_includedir}/gdbm/*.h
%{_includedir}/*.h
%{_infodir}/gdbm*
%{_mandir}/man3/*
%{_mandir}/man1/*


%changelog
* Tue May 17 2016 luigiwalser <luigiwalser> 1.12-1.mga6
+ Revision: 1016474
- 1.12

* Thu Feb 11 2016 umeabot <umeabot> 1.11-7.mga6
+ Revision: 953980
- Mageia 6 Mass Rebuild

* Tue Sep 08 2015 sander85 <sander85> 1.11-6.mga6
+ Revision: 874049
- Rebuild to restore devel package

* Fri Aug 21 2015 tmb <tmb> 1.11-5.mga6
+ Revision: 867586
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 1.11-4.mga5
+ Revision: 744707
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.11-3.mga5
+ Revision: 726294
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.11-2.mga5
+ Revision: 679458
- Mageia 5 Mass Rebuild

* Fri Jan 17 2014 luigiwalser <luigiwalser> 1.11-1.mga5
+ Revision: 566763
- 1.11

* Fri Oct 18 2013 umeabot <umeabot> 1.10-4.mga4
+ Revision: 504720
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.10-3.mga3
+ Revision: 351131
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 tv <tv> 1.10-2.mga3
+ Revision: 333171
- requires setup (mga#7295)

* Mon Dec 05 2011 fwang <fwang> 1.10-1.mga2
+ Revision: 176900
- new version 1.10

* Sat Jan 08 2011 blino <blino> 1.8.3-16.mga1
+ Revision: 898
- remove old ldconfig scripts
- imported package gdbm

